%extract.m : program to extract radar data
% requires the following variables to exist (it doesn't check!)
% filename = full file name of the source data file
% raster = raster to extract
% scan = scan to extract
%
% Also see extract_mask_dop and extract_mask_vel

if ~exist('filename') stop,end
if ~exist('raster') stop,end
if ~exist('scan') stop,end

i=findstr(filename,'/')+1;
j=i(length(i));

tape=str2num(filename(j:j+3));

cmd=['loadchil ' filename ' ' num2str(raster) ' -scan ' num2str(scan)		 ' -verbose'];
result=evalc(cmd);
if result(1:7) == 'Warning' 
	stop;
end

mm=length(range);nn=length(elev);
angles=elev(1:nn)';
X=range'*cos(angles'*pi/180);
Z=range'*sin(angles'*pi/180);
Y=range'*sin((azim-90)*pi/180);

disp('Extracted')
