%FIXPLOT plots fixed Doppler scans.

clf;
drawnow;

danplot_vars

[mm nn]=size(v2);
postop=[.11 .19 .85 .72];
%-------------------------------
maxvar=5;lonely1=4;lonely2=4; %for zapping program

vmin=vminrhi;
vf=30;
vmax=vmin+vf;
vu=vscalerhi*v2+voffsetrhi;

%===================zap/unfold velocities==========================

if runzaprhi == 0 & rununfoldrhi == 0
%all's well with the world, so do nothing

elseif runzaprhi == 1 & rununfoldrhi == 0
%zap but don't unfold
disp('zapping data')
vu=mzap(vu,maxvar,lonely1,lonely2);
elseif runzaprhi == 0 & rununfoldrhi == 1
%unfold, but don't zap
disp('unfolding... but not zapping...');
	vu=munfold(vu);
	vu2=mzap(vu,maxvar,lonely1,lonely2);
	index=find(isnan(vu2)==0);
	vu=vu-30.0*floor(mean(mean(vu2(index)+15))/30.0);
	vu2=vu2-30.0*floor(mean(mean(vu2(index)+15))/30.0);
	vu2=mzap(vu2,4,3,0);
	vmin=min(min(vu2));
	vmax=max(max(vu2));
elseif runzaprhi == 1 & rununfoldrhi == 1
%unfold and zap
disp('unfolding... and zapping...');
	vu=munfold(vu);
	vu=mzap(vu,maxvar,lonely1,lonely2);
	index=find(isnan(vu)==0);
	vu=vu-30.0*floor(mean(mean(vu(index)+15))/30.0);
%vu=vu+30;
	vu2=mzap(vu,4,3,0);
	vmin=min(min(vu2));
	vmax=max(max(vu2));
end

vu=smooth2d(vu,vsmoothrhi_r,vsmoothrhi_e);

%------------Plot velocity on top axes--------------------
axrtop=axes('position',postop);
set(gca,'xdir',rhixdir);

hold off
set(gca,'TickDir','out');
set(gca,'Box','on');
hold on
if vscalerhi>0
	text='v (m/s +ve towards radar)';
else
	text='v (m/s +ve away from radar)';
end

  title(['Tape ',int2str(file),' Raster ',int2str(raster),' Scan ',int2str(scan),' ',int2str(day),'/',int2str(month),'/',int2str(year),' ',int2str(start_hour),':',int2str(start_min),':',int2str(start_sec),' Az ',num2str(azim(:,1)-90),' deg ' ,'El ',num2str(elev(1,1)),' deg : ',text]);

 pctop=pcolor(1:size(vu,2),range,vu);shading flat ;

 caxis([vmin vmax]);
 shading('flat');
cv=colorbar('ver');
set(cv,'tickdir','out');
pos=get(cv,'position');
set(cv,'position',[pos(1) pos(2) .04 pos(4)]);
	ylabel('range (km)');
xlabel('time interval')
%---------------------------------

if 1==1

amt=uimenu('Label','Top Axes');
uimenu(amt,'Label','Shading interp','Callback','set(pctop,''FaceColor'',''interp'')')
uimenu(amt,'Label','Shading flat','Callback','set(pctop,''FaceColor'',''flat'')')
uimenu(amt,'Label','Caxis...','Callback','axes(axrtop),prompt={''Minimum value'',''Maximum value''}; , ca=caxis; , def={ca(1),ca(2)}; , mtitle=''Caxis input'';,lineNo=1;,answ=inputdlg(prompt,mtitle,lineNo,def);,caxis([str2num(answ{1}) str2num(answ{2})]),colorbar;,set(cv,''tickdir'',''out'');,pos=get(cv,''position'');,set(cv,''position'',[pos(1) pos(2) .04 pos(4)]);')
uimenu(amt,'Label','Match bottom axes','Callback','xlim=get(axrbot,''xlim'');,ylim=get(axrbot,''ylim'');,axes(axrtop);,axis([xlim,ylim]);')
uimenu(amt,'Label','Get Data','Callback','axes(axrtop); getdata')
uimenu(amt,'Label','Generate Profile','Callback','axes(axrtop); dopplerprofile')

amb=uimenu('Label','Bottom Axes');
uimenu(amb,'Label','Shading interp','Callback','set(pcbot,''FaceColor'',''interp'')')
uimenu(amb,'Label','Shading flat','Callback','set(pcbot,''FaceColor'',''flat'')')
uimenu(amb,'Label','Caxis...','Callback','axes(axrbot), prompt={''Minimum value'',''Maximum value''}; , ca=caxis; , def={ca(1),ca(2)}; , mtitle=''Caxis input'';,lineNo=1;,answ=inputdlg(prompt,mtitle,lineNo,def); ,caxis([str2num(answ{1}) str2num(answ{2})]),colorbar,set(csh,''tickdir'',''out'');,pos=get(csh,''position'');,set(csh,''position'',[pos(1) pos(2) .04 pos(4)]);')

uimenu(amb,'Label','Match top axes','Callback','xlim=get(axrtop,''xlim'');,ylim=get(axrtop,''ylim'');,axes(axrbot);,axis([xlim,ylim]);')
uimenu(amb,'Label','Get Data','Callback','axes(axrbot); getdata')
uimenu(amb,'Label','Generate Profile','Callback','axes(axrbot); dopplerprofile')

amboth=uimenu('Label','Both Axes');
uimenu(amboth,'Label','Max Z...','Callback','axes(axrtop), prompt={''Maximum height''}; , ca=axis; , def={ca(4)}; , mtitle=''Max Z input'';,lineNo=1;,answ=inputdlg(prompt,mtitle,lineNo,def);rhizmax=str2num(answ{1}); ,set(axrtop,''ylim'',[0 rhizmax]); ,set(axrbot,''ylim'',[0 rhizmax]);')

uimenu(amboth,'Label','Max Range...','Callback','axes(axrtop), prompt={''Maximum range''}; , ca=axis; , def={rhirmax}; , mtitle=''Max Range input'';,lineNo=1;,answ=inputdlg(prompt,mtitle,lineNo,def);rhirmax=str2num(answ{1}); ,set(axrtop,''xlim'',[ca(1) rhirmax]); ,set(axrbot,''xlim'',[ca(1) rhirmax]);')

uimenu(amboth,'Label','X-Dir (normal)','Callback','rhixdir=''normal'';set(axrtop,''xdir'',''normal'');set(axrbot,''xdir'',''normal'')');
uimenu(amboth,'Label','X-Dir (reverse)','Callback','rhixdir=''reverse'';set(axrtop,''xdir'',''rev'');set(axrbot,''xdir'',''rev'')');

uimenu(amboth,'Label','Flip Colormap','Callback','colormap(flipud(colormap));');

uimenu(amboth,'Label','Streamlines...','Callback','streammenu;');

nav=uimenu('label','Navigate');

uimenu(nav,'label','Forward','callback','num=num+1-(num >= ns);,raster=ra(num);,gettext;,set(infoh,''string'',txt);','accelerator','f');

uimenu(nav,'label','Back','callback','num=num-1+(num <= 1);,raster=ra(num);,gettext;,set(infoh,''string'',txt);','accelerator','b');

ploth=uimenu('label','Plot');

uimenu(ploth,'label','Doppler','callback','set(danploth,''pointer'',''watch'');,drawnow;,unix([''rsh -l '' username '' '' machine '' "/home/markb/bin/rad93mat '' fname '' '' num2str(raster) '' '' num2str(sc(num)) '' '' cscdir ''data.mat "'']);,plot_data;,set(danploth,''pointer'',''arrow'');','accelerator','d');

uimenu(ploth,'label','Reflectivity','callback','set(danploth,''pointer'',''watch'');,drawnow;,unix([''rsh -l '' username '' '' machine '' "/home/markb/bin/rad93mat '' fnamez '' '' num2str(raster) '' '' num2str(sc(num)) '' '' cscdir ''dataz.mat "'']);,plot_dataz;,set(danploth,''pointer'',''arrow'');','accelerator','r');



end

%---------------------------------------

set(gcf,'papertype','a4');
set(gcf,'paperorientation','landscape');
set(gcf,'paperposition',[0.81176 0.97647 10.035 6.2941]);






