%PPIPLOT Plots ppi of Doppler velocity
danplot_vars
if plotall==0
	clf;
	amboth=uimenu('Label','Axes');
	uimenu(amboth,'Label','Match reflectivity axes','Callback','xlim=get(axppiz,''xlim'');,ylim=get(axppiz,''ylim'');,axes(axppi);,axis([xlim,ylim]);')
	uimenu(amboth,'Label','Run trackdata','Callback','trackdata;');
	nav=uimenu('label','Navigate');

	uimenu(nav,'label','Forward','callback','num=num+1-(num >= ns);,raster=ra(num);,gettext;,set(infoh,''string'',txt);','accelerator','f');

	uimenu(nav,'label','Back','callback','num=num-1+(num <= 1);,raster=ra(num);,gettext;,set(infoh,''string'',txt);','accelerator','b');

	ploth=uimenu('label','Plot');
	uimenu(ploth,'label','Doppler','callback','set(danploth,''pointer'',''watch'');,drawnow;,scan=sc(num);,dfilen=''data.mat'';,filename=fname;,extract;,plot_data;,set(danploth,''pointer'',''arrow'');','accelerator','d');

	uimenu(ploth,'label','Reflectivity','callback','set(danploth,''pointer'',''watch'');,drawnow;,scan=sc(num);,dfilen=''dataz.mat'';,filename=fnamez;,extract;,plot_dataz;,set(danploth,''pointer'',''arrow'');','accelerator','r');
	drawnow;
end

%=========================================================

[mm nn]=size(v2');
angles=azim(1:mm)'-90;
Y=range'*cos(angles'*pi/180);
X=range'*sin(angles'*pi/180);
X=X.';
Y=Y.';

maxvar=7;lonely1=4;lonely2=6; %for zapping program
vu=v2;
vmin=-15; %defaults - may be changed by unfolding routine...
vmax=15;

if ppipl2=='v2' | ppipl2=='vo'
	%===================zap/unfold velocities==========================

	if runzapppi == 0 & rununfoldppi == 0
		%all's well with the world, so do nothing
	elseif runzapppi == 1 & rununfoldppi == 0
		%zap but don't unfold
		disp('zapping data')
		vu=mzap(vu,maxvar,lonely1,lonely2);
	elseif runzapppi == 0 & rununfoldppi == 1
		%unfold, but don't zap
		disp('unfolding... but not zapping...');
		%	vu=munfold(vu);
		[vu region]=munfill(v2);
		vu2=mzap(vu,maxvar,lonely1,lonely2);
		index=find(isnan(vu2)==0);
		vu=vu-30.0*floor(mean(mean(vu2(index)+15))/30.0);
		vu2=vu2-30.0*floor(mean(mean(vu2(index)+15))/30.0);
		vu2=mzap(vu2,4,3,0);
		vmin=min(min(vu2));
		vmax=max(max(vu2));
	elseif runzapppi == 1 & rununfoldppi == 1
		%unfold and zap
		disp('Unfolding...')
		[vu region]=munfill(v2);
		disp('...and zapping...');
		vu=mzap(vu,maxvar,lonely1,lonely2);
		index=find(isnan(vu)==0);
		vu=vu-30.0*floor(mean(mean(vu(index)+15))/30.0);
		%vu=vu+30;
		vu2=mzap(vu,4,3,0);
		vmin=min(min(vu2));
		vmax=max(max(vu2));
	end

	dv=2;
	v=vu';
end

if ppipl2=='ph'
	dv=10;
	v=mzap(phi_dp,7,5,0)';
	vmin=min(min(v));
	vmax=max(max(v));
	%	load colmap;
	%	colormap(map15b);

end
if ppipl2=='dp' % works out dphi_dp_dr
	vmin=0;
	vmax=15;
	dv=2;
	dr=gradient(range);
	[vx vy]=gradient(phi_dp,mean(dr));
	vy=smooth2d(vy,3,0);
	phi_dp_dr=vy;
end
if ppipl2=='v1'
	vmin=-7.5;
	vmax=7.5;
	dv=1.25;
	v=v1.';
end
if ppipl2=='vo'
	vmin=-20;
	vmax=20;
	dv=5;
	[vx vy]=gradient(vu);
	dang=gradient(angles);
	gap=range'*sin(dang*pi/180)';
	vort=vx./gap;
	v=vort';
end

%v=mzap(v,6,4,4);

xmin=round(min(min(X)));xmax=round(max(max(X)));ymin=round(min(min(Y)));ymax=round(max(max(Y)));

%xmin=25;xmax=40;ymin=25;ymax=40;
%xmin=5;xmax=35;ymin=17.5;ymax=49.5;%for the velocity vectors thing

xt=2; yt=2;
xtl=10; ytl=10;

if (xmax-xmin) > (ymax-ymin)
	width=0.8*25/35;
	height=0.8*(ymax-ymin)/(xmax-xmin);
else
	width=(0.8*25/35)*(xmax-xmin)/(ymax-ymin);
	height=0.8;
end

rmin=min(min(range));
rmax=max(max(range));
phimin=min(min(angles));
phimax=max(max(angles));

%-------------------------------
axppi=axes('position',[.1 .1 width height]);
eval(['grid ' showgrid]);
hold on;
set(gca,'TickDir','out');
axis([xmin xmax ymin ymax]);
set(gca,'Box','on');
%set(gca,'Xtick',[-150:xt:150]);
%set(gca,'Ytick',[-150:xt:150]);
xl=xlabel('East (km)');
yl=ylabel('North (km)');

title(['Tape ',int2str(file),' Raster ',int2str(raster),' Scan ',int2str(scan)...
			 ,' ',int2str(day),'/',int2str(month),'/',int2str(year)...
			 ,' ',int2str(start_hour),':',int2str(start_min),':',int2str(start_sec)...
			 ,' el ',num2str(elev(:,1)),' deg : ' ppipl2]);


pc_ppi=pcolor(X',Y',v');
caxis([vmin vmax]);
shading('flat');
hold on

co=colorbar('ver');
set(axppi,'position',[.1 .1 width height]);
set(co,'position',[.15+width .25 .03 .5]);
%set(co,'position',[.1+width .1 .03 height]);
set(co,'tickdir','out');
%---------------------------------
set(gcf,'papertype','a4');
set(gcf,'paperorientation','landscape');
set(gcf,'paperposition',[0.5 0.5 10.5 7.5]);

plotall=0;


