%PPIPLOTZ Plots ppi of reflectivity

%---------------------------------

if plotall==0
clf;
amboth=uimenu('Label','Axes');
uimenu(amboth,'Label','Match Doppler axes','Callback','xlim=get(axppi,''xlim'');,ylim=get(axppi,''ylim'');,axes(axppiz);,axis([xlim,ylim]);')
uimenu(amboth,'Label','Run trackdata','Callback','trackdata;');

drawnow;

end


if process_ppi=='y'
	if plppiz == 'Zh '
		var=ZH';
		minvar=zhmin;
		maxvar=zhmax;
	elseif plppiz == 'Zdr'
		var=ZDR';
		minvar=zdrmin;
		maxvar=zdrmax;
	else
		var=LDR';
		minvar=ldrmin;
		maxvar=ldrmax;
	end
	X=x;Y=y;
	
else
[mm nn]=size(Zh');
angles=azim(1:mm)'-90;
Y=range'*cos(angles'*pi/180);
X=range'*sin(angles'*pi/180);
	
	%colormap(jet(100));
	index=find(Zh<zhmin);
	if plppiz == 'Zh '
		index=find(Zh<zhmin);
		var=Zh;
		minvar=zhmin;
		maxvar=zhmax;
	elseif plppiz == 'Zdr'
		index=find(Zh<0);
		var=Zdr;
		minvar=zdrmin;
		maxvar=zdrmax;
	else
		var=Ldr;
		index=find(Zh<0);
		minvar=ldrmin;
		maxvar=ldrmax;
	end
	var(index)=NaN;
end


xmin=round(min(min(X)));xmax=round(max(max(X)));ymin=round(min(min(Y)));ymax=round(max(max(Y)));

xt=5; yt=5;

if (xmax-xmin) > (ymax-ymin)
	width=0.8*25/35;
	height=0.8*(ymax-ymin)/(xmax-xmin);
else
	width=(0.8*25/35)*(xmax-xmin)/(ymax-ymin);
	height=0.8;
end

rmin=min(min(range));
rmax=max(max(range));
phimin=min(min(angles));
phimax=max(max(angles));

%-------------------------------
axppiz=axes('position',[.1 .1 width height]);
eval(['grid ' showgrid]);
hold on;
set(gca,'TickDir','out');
axis([xmin xmax ymin ymax]);
set(gca,'Box','on');
%set(gca,'Xtick',[xmin:xt:xmax]);
%set(gca,'Ytick',[ymin:yt:ymax]);

xl=xlabel('East (km)');
yl=ylabel('North (km)');

if process_ppi=='y'
	extrat=' (Processed) ';
else
	extrat='';
end

title([plppiz extrat ' : Tape ',int2str(file),' Raster ',int2str(raster),' Scan ',int2str(scan)...
	,' ',int2str(day),'/',int2str(month),'/',int2str(year)...
        ,' ',int2str(start_hour),':',int2str(start_min),':',int2str(start_sec)...
        ,' el ',num2str(mean(elev)),' deg']);


pc_ppiz=pcolor(X,Y,var);
caxis([minvar maxvar]);
shading('flat');
hold on

co=colorbar('ver');
set(axppiz,'position',[.1 .1 width height]);
set(co,'position',[.15+width .25 .03 .5]);
set(co,'tickdir','out');
%---------------------------------
set(gcf,'papertype','a4');
set(gcf,'paperorientation','landscape');
set(gcf,'paperposition',[0.5 0.5 10.5 7.5]);

plotall=0;


