%RHIPLOTZ plots reflectivity RHI scans

%This version of the matlab plotting code can plot reflectivity rhi scans

danplot_vars

if plotall==0
	clf;
	drawnow;

	amt=uimenu('Label','Top Axes');
	uimenu(amt,'Label','Shading interp','Callback','set(pctopz,''FaceColor'',''interp'')')
	uimenu(amt,'Label','Shading flat','Callback','set(pctopz,''FaceColor'',''flat'')')
	uimenu(amt,'Label','Caxis...','Callback','axes(axrztop),prompt={''Minimum value'',''Maximum value''}; , ca=caxis; , def={ca(1),ca(2)}; , mtitle=''Caxis input'';,lineNo=1;,answ=inputdlg(prompt,mtitle,lineNo,def);,caxis([str2num(answ{1}) str2num(answ{2})]),colorbar')
	uimenu(amt,'Label','Match bottom axes','Callback','xlim=get(axrzbot,''xlim'');,ylim=get(axrzbot,''ylim'');,axes(axrztop);,axis([xlim,ylim]);')

	amb=uimenu('Label','Bottom Axes');
	uimenu(amb,'Label','Shading interp','Callback','set(pcbotz,''FaceColor'',''interp'')')
	uimenu(amb,'Label','Shading flat','Callback','set(pcbotz,''FaceColor'',''flat'')')
	uimenu(amb,'Label','Caxis...','Callback','axes(axrzbot), prompt={''Minimum value'',''Maximum value''}; , ca=caxis; , def={ca(1),ca(2)}; , mtitle=''Caxis input'';,lineNo=1;,answ=inputdlg(prompt,mtitle,lineNo,def); ,caxis([str2num(answ{1}) str2num(answ{2})]),colorbar')
	uimenu(amb,'Label','Match top axes','Callback','xlim=get(axrztop,''xlim'');,ylim=get(axrztop,''ylim'');,axes(axrzbot);,axis([xlim,ylim]);')

	amboth=uimenu('Label','Both Axes');
	uimenu(amboth,'Label','Match Doppler axes','Callback','xlim=get(axrtop,''xlim'');,ylim=get(axrtop,''ylim'');,axes(axrztop);,axis([xlim,ylim]);;,axes(axrzbot);,axis([xlim,ylim])')
	uimenu(amboth,'Label','Max Z...','Callback','axes(axrztop), prompt={''Maximum height''}; , ca=axis; , def={ca(4)}; , mtitle=''Max Z input'';,lineNo=1;,answ=inputdlg(prompt,mtitle,lineNo,def);rhizmax=str2num(answ{1}); ,set(axrztop,''ylim'',[0 rhizmax]); ,set(axrzbot,''ylim'',[0 rhizmax]);')

	uimenu(amboth,'Label','Max Range...','Callback','axes(axrztop), prompt={''Maximum range''}; , ca=axis; , def={rhirmax}; , mtitle=''Max Range input'';,lineNo=1;,answ=inputdlg(prompt,mtitle,lineNo,def);rhirmax=str2num(answ{1}); ,set(axrztop,''xlim'',[ca(1) rhirmax]); ,set(axrzbot,''xlim'',[ca(1) rhirmax]);')

	uimenu(amboth,'Label','X-Dir (normal)','Callback','rhixdir=''normal'';set(axrztop,''xdir'',''normal'');set(axrzbot,''xdir'',''normal'')');
	uimenu(amboth,'Label','X-Dir (reverse)','Callback','rhixdir=''reverse'';set(axrztop,''xdir'',''rev'');set(axrzbot,''xdir'',''rev'')');

	colmenu=uimenu(amboth,'Label','Colormaps...');
	uimenu(colmenu,'Label','Flip Colormap','Callback','colormap(flipud(colormap));');
	uimenu(colmenu,'Label','Jet15','Callback','load colmap;colormap(jet15);axes(axrzbot);colorbar;axes(axrztop);colorbar');
	uimenu(colmenu,'Label','Jet(64)','Callback','colormap(jet(64));axes(axrzbot);colorbar;axes(axrztop);colorbar');
	uimenu(colmenu,'Label','map12','Callback','load colmap;colormap(map12);axes(axrzbot);colorbar;axes(axrztop);colorbar');
	uimenu(colmenu,'Label','map15','Callback','load colmap;colormap(map15);axes(axrzbot);colorbar;axes(axrztop);colorbar');

	%uimenu(amboth,'Label','Flip Colormap','Callback','colormap(flipud(colormap));');
   uimenu(amboth,'Label','Run trackdata','Callback','trackdata;');

	nav=uimenu('label','Navigate');

	uimenu(nav,'label','Forward','callback','num=num+1-(num >= ns);,raster=ra(num);,gettext;,set(infoh,''string'',txt);','accelerator','f');

	uimenu(nav,'label','Back','callback','num=num-1+(num <= 1);,raster=ra(num);,gettext;,set(infoh,''string'',txt);','accelerator','b');

	ploth=uimenu('label','Plot');

	uimenu(ploth,'label','Doppler','callback','set(danploth,''pointer'',''watch'');,drawnow;scan=sc(num);,dfilen=''data.mat'';,filename=fname;,extract;,plot_data;,set(danploth,''pointer'',''arrow'');','accelerator','d');

	uimenu(ploth,'label','Reflectivity','callback','set(danploth,''pointer'',''watch'');,drawnow;scan=sc(num);,dfilen=''dataz.mat'';,filename=fnamez;,extract;,plot_dataz;,set(danploth,''pointer'',''arrow'');','accelerator','r');

end

%colormap(jet(100));
[mm nn]=size(Zh);
posbot=[.11 .12 .85 .32];
postop=[.11 .59 .85 .32];
%-------------------------------
angles=elev(1:nn)';
X=range'*cos(angles'*pi/180);
Z=range'*sin(angles'*pi/180);

%correction - basically as on Chilbolton web pages/Battan
Z=Z+3*X.^2/(8*6371);

xmin=5;
xmax=30;
zmin=0;
zmax=2;

xmin=min(min(X));xmax=max(max(X));zmin=0;zmax=rhizmax;
xmax=min([xmax,rhirmax]);

axrzbot=axes('position',posbot);
eval(['grid ' showgrid]);
set(axrzbot,'xdir',rhixdir);
axis([xmin xmax zmin zmax]);
set(gca,'TickDir','out');
set(gca,'Box','on');
set(gca,'YTick',zmin:1:zmax);
hold on


if plz2=='Ldr'
	%====plot ldr======
	if process_rhi=='y'
		var=LDR';
		text='Ldr (processed)';
		X=r;Z=z;
	else
		index=find(Zh<zhmin);
		var=Ldr;
		var(index)=NaN;
		text='Ldr';
	end

  title(['Tape ',int2str(file),' Raster ',int2str(raster),' Scan ',int2str(scan),' ',int2str(day),'/',int2str(month),'/',int2str(year),' ',int2str(start_hour),':',int2str(start_min),':',int2str(start_sec),' Az ',num2str(azim(:,1)-90),' deg : ',text]);

	pcbotz=pcolor(X,Z,var);shading('flat');
	caxis([ldrmin ldrmax]);
	ylabel('Height(km)');
	xlabel('Distance from radar (km)');

	cbot=colorbar('ver');
	set(cbot,'tickdir','out');
	pos=get(cbot,'position');
	set(cbot,'position',[pos(1) pos(2) .04 pos(4)]);

end 

if plz2=='Zdr'
	%==============Zdr=============================
	if process_rhi=='y'
		var=ZDR';
		text='Zdr (processed)';
		X=r;Z=z;
	else
		index=find(Zh<zhmin);
		var=Zdr;
		var(index)=NaN;
		text='Zdr';
	end

  title(['Tape ',int2str(file),' Raster ',int2str(raster),' Scan ',int2str(scan),' ',int2str(day),'/',int2str(month),'/',int2str(year),' ',int2str(start_hour),':',int2str(start_min),':',int2str(start_sec),' Az ',num2str(azim(:,1)-90),' deg : ',text]);

	pcbotz=pcolor(X,Z,var);shading('flat');
	caxis([zdrmin zdrmax]);
	ylabel('Height(km)');
	xlabel('Distance from radar (km)');

	cbot=colorbar('ver');
	set(cbot,'tickdir','out');
	pos=get(cbot,'position');
	set(cbot,'position',[pos(1) pos(2) .04 pos(4)]);

end 

%-----------plot Zh---------------------
axrztop=axes('position',postop);
eval(['grid ' showgrid]);
set(axrztop,'xdir',rhixdir);

if process_rhi=='y'
	var=ZH';
	text='Zh (processed)';
	X=r;Z=z;
else
	index=find(Zh<zhmin);
	var=Zh;
	var(index)=NaN;
	text='Zh';
end

hold off
axis([xmin xmax zmin zmax]);
set(gca,'TickDir','out');
set(gca,'Box','on');
set(gca,'YTick',zmin:1:zmax);
hold on
text='Zh';
title(['Tape ',int2str(file),' Raster ',int2str(raster),' Scan ',int2str(scan),' ',int2str(day),'/',int2str(month),'/',int2str(year),' ',int2str(start_hour),':',int2str(start_min),':',int2str(start_sec),' Az ',num2str(azim(:,1)-90),' deg : ',text]);

pctopz=pcolor(X,Z,var);
caxis([zhmin zhmax]);
shading('flat');
ctop=colorbar('ver');
set(ctop,'tickdir','out');
pos=get(ctop,'position');
set(ctop,'position',[pos(1) pos(2) .04 pos(4)]);

ylabel('Height (km)');

%---------------------------------


%---------------------------------------

set(gcf,'papertype','a4');
set(gcf,'paperorientation','landscape');
set(gcf,'paperposition',[0.81176 0.97647 10.035 6.2941]);

set(gcf,'paperorientation','portrait');
set(gcf,'paperposition',[0.25 2.9336 7.7677 5.8258]);


plotall=0;





