%Plots ppi of reflectivity

danplot_vars

clf;
drawnow;
%colormap(jet(100));

if plppiz == 'Zh '
	var=Zh;
	minvar=0;
	maxvar=60;
	index=find(Zh<minvar);
	var(index)=NaN;
elseif plppiz == 'Zdr'
	var=Zdr;
	minvar=zdrmin;
	maxvar=zdrmax;
elseif plppiz == 'RR '
	minvar=5;
	maxvar=160;
	z2=10.^(0.1*Zh);
	var=real((z2/200).^0.625);
	index=find(var<minvar);
	var(index)=NaN;
else
	var=Ldr;
	minvar=ldrmin;
	maxvar=ldrmax;
end

[mm nn]=size(Zh');
angles=azim(1:mm)'-90;
Y=range'*cos(angles'*pi/180);
X=range'*sin(angles'*pi/180);
X=X.';
Y=Y.';

xmin=round(min(min(X)));xmax=round(max(max(X)));ymin=round(min(min(Y)));ymax=round(max(max(Y)));

xmin=25;xmax=40;ymin=25;ymax=40;
%xmin=5;xmax=35;ymin=17.5;ymax=49.5;

xt=5; yt=5;

if (xmax-xmin) > (ymax-ymin)
	width=0.8*25/35;
	height=0.8*(ymax-ymin)/(xmax-xmin);
else
	width=(0.8*25/35)*(xmax-xmin)/(ymax-ymin);
	height=0.8;
end

%-------------------------------
axppiz=axes('position',[.1 .1 width height]);
hold on;
set(gca,'TickDir','out');
axis([xmin xmax ymin ymax]);
set(gca,'Box','on');
%set(gca,'Xtick',[xmin:xt:xmax]);
%set(gca,'Ytick',[ymin:yt:ymax]);

xlabel('East (km)');
ylabel('North (km)');

title([plppiz ' : Tape ',int2str(file),' Raster ',int2str(raster),' Scan ',int2str(scan)...
	,' ',int2str(day),'/',int2str(month),'/',int2str(year)...
        ,' ',int2str(start_hour),':',int2str(start_min),':',int2str(start_sec),' el ',num2str(mean(elev)),' deg']);

title('Rain-rate at 6pm')


%x=25:1:40;
%y=x;
%[x y]=meshgrid(x,y);
%[c h]=contour(x,y,x-y,-100:100,'k')


ir=30:200;
it=1200:length(angles);

%pcolor(X',Y',var);
pcolor(X(it,ir)',Y(it,ir)',var(ir,it));
caxis([minvar maxvar]);
shading('flat');
hold on

co=colorbar('ver');
set(axppiz,'position',[.1 .1 width height]);
set(co,'position',[.15+width .25 .03 .5]);
set(co,'tickdir','out');
%---------------------------------
set(gcf,'papertype','a4');
set(gcf,'paperorientation','landscape');
set(gcf,'paperposition',[0.5 0.5 10.5 7.5]);


set(gcf,'paperorientation','portrait');
set(gcf,'paperposition',[0.5 0.5 5.25 3.75]);


