% assumes data exists in a file vad.mat containing:
% v_all - unwrapped velocity
% zr
% azim_all - unwrapped azimuths

global az sig

az=azim_all;
v_all=vel_all;

clear speed dir;

for i=1:length(zr)

	sig=v_all(:,i)';
	if ~any(isnan(sig))
		param=[0 0 0 0 0];
		opts=foptions;opts(14)=4000;
		param=fmins('vadfun',param,opts);
		y=param(1) + param(2)*cos(az*pi/180) + param(3)*sin(az*pi/180) + ...
			param(4)*sin(2*az*pi/180) + param(5)*sin(2*az*pi/180);
		%	plot(az,sig,'b'); hold on
		%	plot(az,y,'r')
		
		speed(i)=sqrt(param(2)^2 +param(3)^2);
		dir(i)=90+360+atan2(-param(2),param(3))*180/pi;
	else
		speed(i)=NaN;dir(i)=NaN;
		disp('NaNs...');
	end
	disp([i,length(zr)]);
end

u=-speed.*sin(dir*pi/180);
v=-speed.*cos(dir*pi/180);
clf
plot(u,v,'-x'); hold on; axis equal
plot(0,0,'*')
plot(u(1:5:end),v(1:5:end),'o');
%text(u(1:5:end),v(1:5:end),num2str(zr(1:5:end)'));

xlabel('u (m/s)');
ylabel('v (m/s)');

title('Hodograph')
% $$$ 
% $$$ u45=-speed.*sin((dir+45)*pi/180);
% $$$ v45=-speed.*cos((dir+45)*pi/180);
% $$$ 
% $$$ sh_par=gradient(u45,zr);
% $$$ sh_perp=gradient(v45,zr);
% $$$ sh=sqrt(sh_perp.^2 + sh_par.^2);
% $$$ 
% $$$ subplot(1,3,1)
% $$$ plot(sh_par,zr)
% $$$ title('Front-parallel (45^\circ) shear');
% $$$ ylabel('Height (km)')
% $$$ 
% $$$ subplot(1,3,2)
% $$$ plot(sh_perp,zr)
% $$$ title('Front-perpendicular (45^\circ) shear');
% $$$ xlabel('m/s/km')
% $$$ 
% $$$ subplot(1,3,3),plot(sh,zr),title('Total shear');
% $$$ 








